Package com.iland.core.web.rest.api
Interface DRRunbookResource
@Path("/disaster-recovery-runbooks")
@Consumes("application/json")
@Produces("application/vnd.ilandcloud.api.v1.0+json")
public interface DRRunbookResource
Recovery Runbook Resource Interface.
- Author:
- Brett Snyder
-
Method Summary
Modifier and TypeMethodDescriptioncom.iland.core.web.rest.response.task.TaskResponseabortRunbook(String runbookUuid, DisasterRecoveryRunbookAbortRequest request) Abort a running disaster recovery runbook so that no new operations are initiated upon recovery groups.voiddeleteRunbook(String runbookUuid) Delete a runbook by its UUID.downloadRunbookReport(String runbookUuid, String reportUuid, String filename) Download a PDF summary report for a runbook task.com.iland.core.web.rest.response.task.TaskResponseexecuteRunbook(String runbookUuid, DisasterRecoveryRunbookExecuteRequest params) Execute a runbook.com.iland.core.web.rest.response.task.TaskResponsefinalizeExecution(String runbookUuid, DisasterRecoveryRunbookFinalizeExecutionRequest request) Finalize changes for the active runbook execution.getDisasterRecoveryRunbook(String runbookUuid) Gets a runbook by UUID.getRecoveryRunbookReportDetails(String runbookUuid, String taskUuid) Get report summary data for a runbook task.com.iland.core.web.rest.response.task.TaskResponsetestRunbook(String runbookUuid, DisasterRecoveryRunbookTestRequest params) Test a runbook.updateRunbook(String runbookUuid, DisasterRecoveryRunbookUpdateRequest spec) Update a runbook by its UUID.
-
Method Details
-
testRunbook
@POST @Path("/{runbookUuid}/actions/test") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse testRunbook(@PathParam("runbookUuid") String runbookUuid, DisasterRecoveryRunbookTestRequest params) Test a runbook.- Parameters:
runbookUuid- the UUID of the runbook.params- the runbook test parameters- Returns:
- asynchronous task details
-
executeRunbook
@POST @Path("/{runbookUuid}/actions/execute") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse executeRunbook(@PathParam("runbookUuid") String runbookUuid, DisasterRecoveryRunbookExecuteRequest params) Execute a runbook.- Parameters:
runbookUuid- the UUID of the runbook.params- the runbook execution parameters- Returns:
- asynchronous task details
-
getDisasterRecoveryRunbook
@GET @Path("/{runbookUuid}") DisasterRecoveryRunbookResponse getDisasterRecoveryRunbook(@PathParam("runbookUuid") String runbookUuid) Gets a runbook by UUID.- Parameters:
runbookUuid- the UUID of the runbook.- Returns:
- the runbook
-
updateRunbook
@PUT @Path("/{runbookUuid}") @Consumes("application/json") DisasterRecoveryRunbookResponse updateRunbook(@PathParam("runbookUuid") String runbookUuid, DisasterRecoveryRunbookUpdateRequest spec) Update a runbook by its UUID.- Parameters:
runbookUuid- the UUID of the runbookspec- the specification for updating the runbook- Returns:
- the updated runbook
-
deleteRunbook
Delete a runbook by its UUID.- Parameters:
runbookUuid- the UUID of the runbook
-
finalizeExecution
@POST @Path("/{runbookUuid}/actions/finalize") com.iland.core.web.rest.response.task.TaskResponse finalizeExecution(@PathParam("runbookUuid") String runbookUuid, DisasterRecoveryRunbookFinalizeExecutionRequest request) Finalize changes for the active runbook execution. The passed params specify whether each recovery group should be rolled back or commited on a per recovery group basis.- Parameters:
runbookUuid- the UUID of the runbookrequest- the params for finalizing the runbook execution- Returns:
- asynchronous task details
-
getRecoveryRunbookReportDetails
@GET @Path("/{runbookUuid}/runbook-task-details/{taskUuid}") DisasterRecoveryRunbookReportDetailsResponse getRecoveryRunbookReportDetails(@PathParam("runbookUuid") String runbookUuid, @PathParam("taskUuid") String taskUuid) Get report summary data for a runbook task.- Parameters:
taskUuid- the uuid of the task to retrieve the report for- Returns:
- runbook report details
-
downloadRunbookReport
@GET @Path("/{runbookUuid}/reports/{reportUuid}") @Produces("application/vnd.ilandcloud.api.v1.0+pdf") InputStream downloadRunbookReport(@PathParam("runbookUuid") String runbookUuid, @PathParam("reportUuid") String reportUuid, @QueryParam("filename") String filename) Download a PDF summary report for a runbook task.The UUID of the task for the runbook operation is the report UUID.
- Parameters:
reportUuid- the uuid of the task to retrieve the report for- Returns:
- failover report
-
abortRunbook
@POST @Path("/{runbookUuid}/actions/abort") com.iland.core.web.rest.response.task.TaskResponse abortRunbook(@PathParam("runbookUuid") String runbookUuid, DisasterRecoveryRunbookAbortRequest request) Abort a running disaster recovery runbook so that no new operations are initiated upon recovery groups.- Parameters:
runbookUuid- the disaster recovery runbook UUIDrequest- a request for aborting a running recovery runbook operation- Returns:
- the aborted task
-